# common macros, yet to be defined. see:
# https://fedoraproject.org/wiki/User:Kalev/MozillaExtensionsDraft
%global ext_id uBlock0@raymondhill.net

%global firefox_app_id \{ec8030f7-c20a-464f-9b0e-13a3a9e97384\}
%global firefox_inst_dir %{_datadir}/mozilla/extensions/%{firefox_app_id}

%if 0%{?rhel} > 7 || 0%{?fedora} > 26
%global metainfodir %{_datadir}/metainfo
%else
%global metainfodir %{_datadir}/appdata
%endif

%global fileid 956394

Name:           mozilla-ublock-origin
Version:        1.16.6
Release:        1%{?dist}
Summary:        An efficient blocker for Firefox

License:        GPLv3+ and LGPLv3 and MIT and OFL
URL:            https://github.com/gorhill/uBlock
Source0:        https://addons.mozilla.org/firefox/downloads/file/%{fileid}/ublock_origin-%{version}-an+fx.xpi
Source1:        mozilla-ublock-origin.metainfo.xml

Requires:       mozilla-filesystem
BuildArch:      noarch
BuildRequires:  libappstream-glib
# css/fonts/fontawesome-webfont.ttf http://fontawesome.io/ OFL
Provides:       bundled(fontawesome-fonts) = 4.2.0
# lib/punycode.js https://mths.be/punycode MIT
Provides:       bundled(js-punycode) = 1.3.2
# lib/diff https://github.com/Swatinem/diff LGPLv3
Provides:       bundled(js-github-swatinem-diff)
# lib/codemirror http://codemirror.net MIT
Provides:       bundled(js-codemirror) = 5.37.0

%description
An efficient blocker: easy on memory and CPU footprint, and yet can load and
enforce thousands more filters than other popular blockers out there.

Flexible, it's more than an "ad blocker": it can also read and create filters
from hosts files.

%prep
%setup -qc

%build
echo Nothing to build

%install
install -Dpm644 %{SOURCE0} %{buildroot}%{firefox_inst_dir}/%{ext_id}.xpi

install -Dpm644 %{SOURCE1} %{buildroot}%{metainfodir}/%{name}.metainfo.xml
appstream-util validate-relax --nonet %{buildroot}%{metainfodir}/%{name}.metainfo.xml

%files
%license LICENSE.txt css/fonts/OFL.txt lib/codemirror/LICENSE
%{firefox_inst_dir}/%{ext_id}.xpi
%{metainfodir}/%{name}.metainfo.xml

%changelog
* Wed May 23 2018 Dominik Mierzejewski <rpm@greysector.net> - 1.16.6-1
- update to 1.16.6 (#1567576)
- update bundled codemirror version

* Fri Apr 13 2018 Dominik Mierzejewski <rpm@greysector.net> - 1.15.24-1
- update to 1.15.24
- use correct path for metainfo file
- update bundled components list and license tag
- include license texts in the standard location, too

* Tue Feb 20 2018 Dominik Mierzejewski <rpm@greysector.net> - 1.15.10-1
- update to 1.15.10

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.14.24-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Feb 01 2018 Dominik Mierzejewski <rpm@greysector.net> - 1.14.24-1
- update to 1.14.24

* Fri Dec 29 2017 Dominik 'Rathann' Mierzejewski <rpm@greysector.net> - 1.14.22-1
- update to 1.14.22
- install the appdata metainfo file into correct place

* Wed Nov 29 2017 Dominik 'Rathann' Mierzejewski <rpm@greysector.net> - 1.14.18-1
- Initial package
